[data-spoiler-content] {
	overflow: hidden;
	max-height: 0;
	opacity: 0;
	will-change: max-height;
	transition: .3s;
}

[data-spoiler] {

	&.open {

		[data-spoiler-content] {
			opacity: 1;
			transition: .3s;
            overflow: hidden;
		}
	}
}


.spoilers {

	&__item {
        margin: 0;
        background-image: linear-gradient(to right, #6F6F88 10%, rgba(255, 255, 255, 0) 0%);
        background-position: bottom;
        background-size: 6px 1px;
        background-repeat: repeat-x;

		&.open {

            .spoilers__header {
                color: $blue;
            }

			.spoilers__icon {

                &:after,
                &:before {
                    transform: rotate(360deg);
                    transition: .3s;
                    background: $blue;
                }
			}
		}
	}

	&__header {
		width: 100%;
		cursor: pointer;
		display: flex;
		align-items: center;
		justify-content: space-between;
		position: relative;
		padding: rem(15) 0;
		color: #000;
		border: none;
		outline: none;
		text-align: left;
		background: transparent;
		font-weight: 600;
		font-size: rem(16);
		line-height: 120%;
	}

	&__title {
		display: block;
		padding-right: rem(8);
	}

	&__icon {
		font-size: 0;
		line-height: 0;
        width: rem(12);
		height: rem(12);
        position: relative;
		display: inline-block;
		transition: .3s;
		fill: #000;
		flex-shrink: 0;

        &:after,
        &:before {
            left: 50%;
            top: 50%;
            z-index: 5;
            content: '';
            width: rem(12);
            height: rem(2);
            background: $gray;
            margin-top: rem(-1);
            margin-left: rem(-6);
            position: absolute;
            transition: .3s;
        }

        &:after {
            transform: rotate(90deg);
        }
	}

	&__content {
	}

	&__wrap {
		padding: 0 0 rem(12) 0;
	}

    @include media-breakpoint-up(md) {

        &__header {
            padding: rem(18) 0;
        }
    }
}
